"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMThreadLocalMode
	instanceVariableNames:''
	classVariableNames:'LLVMNotThreadLocal LLVMGeneralDynamicTLSModel
		LLVMLocalDynamicTLSModel LLVMInitialExecTLSModel
		LLVMLocalExecTLSModel'
	poolDictionaries:''
	category:'LLVM-Core-Constants'
!

!LLVMThreadLocalMode class methodsFor:'initialization'!

initialize

    LLVMNotThreadLocal := 0.
    LLVMGeneralDynamicTLSModel := 1.
    LLVMLocalDynamicTLSModel := 2.
    LLVMInitialExecTLSModel := 3.
    LLVMLocalExecTLSModel := 4.
! !

!LLVMThreadLocalMode class methodsFor:'constants'!

LLVMGeneralDynamicTLSModel

    ^LLVMGeneralDynamicTLSModel
!

LLVMInitialExecTLSModel

    ^LLVMInitialExecTLSModel
!

LLVMLocalDynamicTLSModel

    ^LLVMLocalDynamicTLSModel
!

LLVMLocalExecTLSModel

    ^LLVMLocalExecTLSModel
!

LLVMNotThreadLocal

    ^LLVMNotThreadLocal
! !


LLVMThreadLocalMode initialize!
