"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

ExternalAddress subclass:#LLVMValue
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Core'
!

!LLVMValue methodsFor:'debugging'!

dump
    LLVM DumpValue: self.

    "Created: / 07-07-2015 / 22:03:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMValue methodsFor:'functions-accessing'!

parameterAt: index
    ^ LLVM GetParam: self  _: index - 1

    "Created: / 07-07-2015 / 22:49:38 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMValue methodsFor:'functions-adding'!

addBasicBlock: name
    self assert: name isSingleByteString.
    ^ LLVM AppendBasicBlock: self  _: name

    "Created: / 07-07-2015 / 22:36:26 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

