"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMCallConv
	instanceVariableNames:''
	classVariableNames:'LLVMCCallConv LLVMFastCallConv LLVMColdCallConv
		LLVMWebKitJSCallConv LLVMAnyRegCallConv LLVMX86StdcallCallConv
		LLVMX86FastcallCallConv'
	poolDictionaries:''
	category:'LLVM-Core-Constants'
!

!LLVMCallConv class methodsFor:'initialization'!

initialize

    LLVMCCallConv := 0.
    LLVMFastCallConv := 8.
    LLVMColdCallConv := 9.
    LLVMWebKitJSCallConv := 12.
    LLVMAnyRegCallConv := 13.
    LLVMX86StdcallCallConv := 64.
    LLVMX86FastcallCallConv := 65.
! !

!LLVMCallConv class methodsFor:'constants'!

LLVMAnyRegCallConv

    ^LLVMAnyRegCallConv
!

LLVMCCallConv

    ^LLVMCCallConv
!

LLVMColdCallConv

    ^LLVMColdCallConv
!

LLVMFastCallConv

    ^LLVMFastCallConv
!

LLVMWebKitJSCallConv

    ^LLVMWebKitJSCallConv
!

LLVMX86FastcallCallConv

    ^LLVMX86FastcallCallConv
!

LLVMX86StdcallCallConv

    ^LLVMX86StdcallCallConv
! !


LLVMCallConv initialize!
